//------------------------------------------------------------------------------
// <auto-generated>
//    This code was generated from a template.
//
//    Manual changes to this file may cause unexpected behavior in your application.
//    Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace CyberSport.Models
{
    using System;
    using System.Collections.Generic;
    
    public partial class Producto
    {
        public int id { get; set; }
        public string codigo { get; set; }
        public string nombre { get; set; }
        public string descripcion { get; set; }
        public Nullable<int> categoria { get; set; }
        public Nullable<int> stock { get; set; }
        public Nullable<int> precio { get; set; }
        public Nullable<System.DateTime> fechacreacion { get; set; }
        public Nullable<int> usuariocreacion { get; set; }
        public Nullable<System.DateTime> fechabaja { get; set; }
        public Nullable<int> usuariobaja { get; set; }
        public Nullable<int> promocion { get; set; }
        public Nullable<int> preciopromocion { get; set; }
        public Nullable<int> descuento { get; set; }
        public Nullable<int> porcentajedescuento { get; set; }
        public Nullable<int> estado { get; set; }
        public string imagen1 { get; set; }
        public string imagen2 { get; set; }
        public string imagen3 { get; set; }
        public string imagen4 { get; set; }
    }
}
